Update drift configuration
curl --request PUT \
--url https://acusight.io/api/data/drift-configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"box_ratio_threshold": 123,
"box_size_threshold": 123,
"brightness_threshold": 123,
"check_box_quality": true,
"check_confidence": true,
"check_detections": true,
"check_image_props": true,
"check_psi": true,
"confidence_threshold": 123,
"contrast_threshold": 123,
"detections_max": 123,
"detections_min": 123,
"epsilon": 123,
"name": "<string>",
"psi_high_threshold": 123,
"psi_warn_threshold": 123,
"saturation_threshold": 123
}
'import requests
url = "https://acusight.io/api/data/drift-configs/{id}"
payload = {
"box_ratio_threshold": 123,
"box_size_threshold": 123,
"brightness_threshold": 123,
"check_box_quality": True,
"check_confidence": True,
"check_detections": True,
"check_image_props": True,
"check_psi": True,
"confidence_threshold": 123,
"contrast_threshold": 123,
"detections_max": 123,
"detections_min": 123,
"epsilon": 123,
"name": "<string>",
"psi_high_threshold": 123,
"psi_warn_threshold": 123,
"saturation_threshold": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
box_ratio_threshold: 123,
box_size_threshold: 123,
brightness_threshold: 123,
check_box_quality: true,
check_confidence: true,
check_detections: true,
check_image_props: true,
check_psi: true,
confidence_threshold: 123,
contrast_threshold: 123,
detections_max: 123,
detections_min: 123,
epsilon: 123,
name: '<string>',
psi_high_threshold: 123,
psi_warn_threshold: 123,
saturation_threshold: 123
})
};
fetch('https://acusight.io/api/data/drift-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/data/drift-configs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'box_ratio_threshold' => 123,
'box_size_threshold' => 123,
'brightness_threshold' => 123,
'check_box_quality' => true,
'check_confidence' => true,
'check_detections' => true,
'check_image_props' => true,
'check_psi' => true,
'confidence_threshold' => 123,
'contrast_threshold' => 123,
'detections_max' => 123,
'detections_min' => 123,
'epsilon' => 123,
'name' => '<string>',
'psi_high_threshold' => 123,
'psi_warn_threshold' => 123,
'saturation_threshold' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/data/drift-configs/{id}"
payload := strings.NewReader("{\n \"box_ratio_threshold\": 123,\n \"box_size_threshold\": 123,\n \"brightness_threshold\": 123,\n \"check_box_quality\": true,\n \"check_confidence\": true,\n \"check_detections\": true,\n \"check_image_props\": true,\n \"check_psi\": true,\n \"confidence_threshold\": 123,\n \"contrast_threshold\": 123,\n \"detections_max\": 123,\n \"detections_min\": 123,\n \"epsilon\": 123,\n \"name\": \"<string>\",\n \"psi_high_threshold\": 123,\n \"psi_warn_threshold\": 123,\n \"saturation_threshold\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://acusight.io/api/data/drift-configs/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"box_ratio_threshold\": 123,\n \"box_size_threshold\": 123,\n \"brightness_threshold\": 123,\n \"check_box_quality\": true,\n \"check_confidence\": true,\n \"check_detections\": true,\n \"check_image_props\": true,\n \"check_psi\": true,\n \"confidence_threshold\": 123,\n \"contrast_threshold\": 123,\n \"detections_max\": 123,\n \"detections_min\": 123,\n \"epsilon\": 123,\n \"name\": \"<string>\",\n \"psi_high_threshold\": 123,\n \"psi_warn_threshold\": 123,\n \"saturation_threshold\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/data/drift-configs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"box_ratio_threshold\": 123,\n \"box_size_threshold\": 123,\n \"brightness_threshold\": 123,\n \"check_box_quality\": true,\n \"check_confidence\": true,\n \"check_detections\": true,\n \"check_image_props\": true,\n \"check_psi\": true,\n \"confidence_threshold\": 123,\n \"contrast_threshold\": 123,\n \"detections_max\": 123,\n \"detections_min\": 123,\n \"epsilon\": 123,\n \"name\": \"<string>\",\n \"psi_high_threshold\": 123,\n \"psi_warn_threshold\": 123,\n \"saturation_threshold\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Datasets & data
Update drift configuration
Updates an existing drift configuration
PUT
/
data
/
drift-configs
/
{id}
Update drift configuration
curl --request PUT \
--url https://acusight.io/api/data/drift-configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"box_ratio_threshold": 123,
"box_size_threshold": 123,
"brightness_threshold": 123,
"check_box_quality": true,
"check_confidence": true,
"check_detections": true,
"check_image_props": true,
"check_psi": true,
"confidence_threshold": 123,
"contrast_threshold": 123,
"detections_max": 123,
"detections_min": 123,
"epsilon": 123,
"name": "<string>",
"psi_high_threshold": 123,
"psi_warn_threshold": 123,
"saturation_threshold": 123
}
'import requests
url = "https://acusight.io/api/data/drift-configs/{id}"
payload = {
"box_ratio_threshold": 123,
"box_size_threshold": 123,
"brightness_threshold": 123,
"check_box_quality": True,
"check_confidence": True,
"check_detections": True,
"check_image_props": True,
"check_psi": True,
"confidence_threshold": 123,
"contrast_threshold": 123,
"detections_max": 123,
"detections_min": 123,
"epsilon": 123,
"name": "<string>",
"psi_high_threshold": 123,
"psi_warn_threshold": 123,
"saturation_threshold": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
box_ratio_threshold: 123,
box_size_threshold: 123,
brightness_threshold: 123,
check_box_quality: true,
check_confidence: true,
check_detections: true,
check_image_props: true,
check_psi: true,
confidence_threshold: 123,
contrast_threshold: 123,
detections_max: 123,
detections_min: 123,
epsilon: 123,
name: '<string>',
psi_high_threshold: 123,
psi_warn_threshold: 123,
saturation_threshold: 123
})
};
fetch('https://acusight.io/api/data/drift-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/data/drift-configs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'box_ratio_threshold' => 123,
'box_size_threshold' => 123,
'brightness_threshold' => 123,
'check_box_quality' => true,
'check_confidence' => true,
'check_detections' => true,
'check_image_props' => true,
'check_psi' => true,
'confidence_threshold' => 123,
'contrast_threshold' => 123,
'detections_max' => 123,
'detections_min' => 123,
'epsilon' => 123,
'name' => '<string>',
'psi_high_threshold' => 123,
'psi_warn_threshold' => 123,
'saturation_threshold' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/data/drift-configs/{id}"
payload := strings.NewReader("{\n \"box_ratio_threshold\": 123,\n \"box_size_threshold\": 123,\n \"brightness_threshold\": 123,\n \"check_box_quality\": true,\n \"check_confidence\": true,\n \"check_detections\": true,\n \"check_image_props\": true,\n \"check_psi\": true,\n \"confidence_threshold\": 123,\n \"contrast_threshold\": 123,\n \"detections_max\": 123,\n \"detections_min\": 123,\n \"epsilon\": 123,\n \"name\": \"<string>\",\n \"psi_high_threshold\": 123,\n \"psi_warn_threshold\": 123,\n \"saturation_threshold\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://acusight.io/api/data/drift-configs/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"box_ratio_threshold\": 123,\n \"box_size_threshold\": 123,\n \"brightness_threshold\": 123,\n \"check_box_quality\": true,\n \"check_confidence\": true,\n \"check_detections\": true,\n \"check_image_props\": true,\n \"check_psi\": true,\n \"confidence_threshold\": 123,\n \"contrast_threshold\": 123,\n \"detections_max\": 123,\n \"detections_min\": 123,\n \"epsilon\": 123,\n \"name\": \"<string>\",\n \"psi_high_threshold\": 123,\n \"psi_warn_threshold\": 123,\n \"saturation_threshold\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/data/drift-configs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"box_ratio_threshold\": 123,\n \"box_size_threshold\": 123,\n \"brightness_threshold\": 123,\n \"check_box_quality\": true,\n \"check_confidence\": true,\n \"check_detections\": true,\n \"check_image_props\": true,\n \"check_psi\": true,\n \"confidence_threshold\": 123,\n \"contrast_threshold\": 123,\n \"detections_max\": 123,\n \"detections_min\": 123,\n \"epsilon\": 123,\n \"name\": \"<string>\",\n \"psi_high_threshold\": 123,\n \"psi_warn_threshold\": 123,\n \"saturation_threshold\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Path Parameters
Drift config ID
Body
application/json
Fields to update
Enable/disable checks
Thresholds (null = inherit from parent)
Was this page helpful?